/*
 * e_f_3f.h
 *
 *  Created on: 18-01-2017
 *      Author: Krzysztof Jakubczyk
 */

#ifndef E_F_3F_H_
#define E_F_3F_H_

#include "tdefs.h"
#include "e_f.h"

struct e_f_3f_logic
{
	u8 *ok_ptr;
	u8 ok_bit_no;
	float *f_ptr;

	struct e_f_wyjscie *f1;
	struct e_f_wyjscie *f2;
	struct e_f_wyjscie *f3;
};

struct e_f_3f_io
{
	u32 f1_ptr_in;
	u32 f2_ptr_in;
	u32 f3_ptr_in;

	u32 f_float_out;
	u32 ok_out;
}__attribute__((__packed__));

struct e_f_3f_params
{
}__attribute__((__packed__));

struct e_f_3f_args
{
	struct e_f_3f_io io;
	struct e_f_3f_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void e_f_3f_100hz(void *args, void *logic);
extern int e_f_3f_initlog(void *arguments, void *logic);

#endif /* E_F_3F_H_ */
